@import url(http://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700);
@import url(http://fonts.googleapis.com/css?family=Roboto:400,900italic,700italic,900,700,500italic,500,400italic,300italic,300,100italic,100);

html {
    margin: 0;
    padding: 0;
    font-size: 1em;
}

body {
    background: #fff;
    color: #111;
    font-family: 'Roboto', serif;
    font-size: 1em;
    line-height: normal;
    margin: 0 auto;
}

a:link,
a:visited {
    color: #09d;
    text-decoration: none;
}

a:hover,
a:active {
    color: #0ae;
}

h1, h2, h3, h4 {
    font-family: 'Roboto Slab', sans-serif;
}

h1 {
    font-size: 2.5em;
}

h2 {
    font-size: 2em;
}

h2.portfolio {
    margin-top: 0;
}

h3 {
    font-size: 1.5em;
}

h4 {
    font-size: 1.2em;
}

hr {
    border: none;
    border-top: 5px solid #000;
    margin: 0 0 10px 0;
    padding: 0;
}

span.quote {
    display: inline-block;
    padding: 0 10px;
    vertical-align: middle;
}

p.footnote {
    color: #999;
    font-style: italic;
    font-weight: 100;
}

p.error {
    background: #fee;
    color: #611;
    padding: 0.5em 1em;
}

p.success {
    background: #efe;
    color: #161;
    padding: 0.5em 1em;
}

span.tag {
    display: inline-block;
    margin: -0.5em 1em;
    padding: 0.5em 1em;
    border-radius: 5px;
    background-color: #09d;
    color: #fff;
    font-size: 80%;
    text-transform: uppercase;
}

span.wrong {
    color: #900;
    text-decoration: line-through;
}

/*
 * Forms
 */

input:focus,
textarea:focus {
    border: 1px solid #0ae;
    outline: none;
}

::-webkit-input-placeholder { color: #ccc; }
::-moz-placeholder { color: #ccc; } /* firefox 19+ */
input:-moz-placeholder { color: #ccc; }
:-ms-input-placeholder { color: #ccc; } /* ie */

.btn {
    text-transform: uppercase;
}

.btn-primary,
a.btn-primary:link,
a.btn-primary:visited{
    background: #09d;
    color: #fff;
    border-color: #09d;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus {
    background: #0ae;
    border-color: #0ae;
}

/*
 * Tables
 */

table {
    border-collapse: collapse;
    width: 100%;
}

table tr {
    background: #eee;
}

table tr:nth-child(2n) {
    background: #fff;
}

table tr.special {
    background: #6cf;
}

table th, td {
    padding: 0.75em 1em;
}

table th {
    font-weight: bold;
    text-align: left;
}

table td.price {
    text-align: right;
}

/*
 * Containers
 */

header {
    background: #f8f8f8;
    box-shadow: 0 0 10px #999;
    margin: 0 auto;
    position: relative;
    z-index: 1000;
}

header h1 {
    color: #531;
    font-size: 300%;
    margin: 0 auto;
    padding: 15px 0;
    text-align: center;
}

/*
 * Navigation
 */

nav {
    font-family: 'Roboto Slab', serif;
    font-size: 1.2em;
    text-align: center;
}

nav ul {
    background: #eee;
    margin: 0 -15px;
    padding: 10px 0;
}

nav li {
    display: inline;
    list-style: none;
    padding: 0;
    position: relative;
    z-index: 1200;
}

nav a:link,
nav a:visited {
    color: #000;
    padding: 10px 15px;
    text-decoration: none;
}

nav a:hover,
nav a:active {
    background: #ddd;
}

#hamburger {
    position: absolute;
    left: 15px;
    top: 15px;
    cursor: pointer;
    font-size: 200%;
}


.splash {
    font-size: 300%;
    padding: 100px 0;
    text-align: center;
}

section {
    padding: 15px 0;
    z-index: 100;
}

section .row + .row {
    margin-top: 30px;
}

footer {
    border-top: 5px solid #ccc;
    color: #999;
    font-family: sans-serif;
    font-weight: 100;
    margin: 0 auto;
    padding: 20px 0;
    position: relative;
    z-index: 1000;
}

footer p.copyright {
    margin: 0;
    text-align: center;
}

footer p.copyright a:link,
footer p.copyright a:visited {
    color: #999;
}

/*
 * Callout
 */

.callout {
    padding: 1em;
    border-radius: 1em;
    background: #6cf;
    font-size: 150%;
}

/*
 * Portfolio
 */

img.portfolio {
    box-shadow: 0 0 10px #ccc;
}

/*
 * Social media
 */

ul.social {
    margin: 0;
    padding: 0;
}

ul.social li {
    list-style: none;
}

ul.social img.twitter {
    height: 0.8em;
    padding-right: 0.3em;
    vertical-align: baseline;
}

/*
 * Email obfuscator
 */

span.email {
    display: none;
}

/*
 * Contact form
 */

#captcha {
    margin-bottom: 15px;
}

@media (max-width: 767px) {
    header h1 {
        font-size: 200%;
    }
    
    nav {
        display: none;
    }
    
    nav ul {
        padding: 0;
    }
    
    nav li,
    nav a {
        display: block;
    }
    
    .splash {
        padding: 0;
        font-size: 150%;
    }
}
